Bug 1015994 - Main thread locked in g_main_context_acquire()
Main thread locked in g_main_context_acquire()
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 04:51 EDT by Mikhail
Modified: 2015-06-29 08:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:34:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtraces of evolution (2.97 KB, application/x-bzip)
2013-10-07 04:51 EDT, Mikhail
no flags Details
Comment (80.15 KB, text/plain)
2013-10-07 04:51 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-10-07 04:51:13 EDT
Created attachment 915775 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 1 Milan Crha 2013-10-07 05:34:22 EDT
Thanks for a bug report. I see the main thread is locked inside glib2 library, thus I move it there. In case you updated the glib2 package recently, try to downgrade it.

Thread 1 (Thread 0xb76e2900 (LWP 2191)):
#0  0x4a930bf0 in pthread_mutex_unlock () from /lib/libpthread.so.0
#1  0x4aaf1021 in g_mutex_unlock () from /lib/libglib-2.0.so.0
#2  0x4aaaa7b3 in g_main_context_acquire () from /lib/libglib-2.0.so.0
#3  0x4aaab725 in g_main_context_iterate.isra.22 () from /lib/libglib-2.0.so.0
#4  0x4aaabdb3 in g_main_loop_run () from /lib/libglib-2.0.so.0
#5  0x4bc425b5 in gtk_main () from /lib/libgtk-3.so.0
#6  0x0804ab44 in main ()
Comment 2 Milan Crha 2013-10-07 05:35:10 EDT
Mikhail, by the way, what is your glib2 version, please?
Comment 3 Milan Crha 2013-10-07 05:39:47 EDT
Mikhail, even, is evolution's UI frozen (doesn't update)? The second backtrace shows a different function, and looking more closely the first backtrace of evolution shows a snapshot from 'pthread_mutex_unlock", which is supposed to finish instantly, thus it might be only a matter of luck to get the backtrace in this place. If evo's UI is frozen, is CPU usage by evolution high?
Comment 4 Mikhail 2013-10-07 05:41:37 EDT
$ rpm -q glib2
glib2-2.38.0-1.fc20.i686
Comment 5 Mikhail 2013-10-07 05:50:35 EDT
I create first backtrace but laterly see system message, that program is hangs "Wait" or "Force quit" than I press "Wait" and create second backtrace.

And yes UI is frozen.
Comment 6 Mikhail 2013-10-07 05:51:03 EDT
CPU load is 100% during this
Comment 7 Fedora End Of Life 2015-05-29 05:31:49 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 08:34:34 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.